
const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Shell = imports.gi.Shell;
const PopupMenu = imports.ui.popupMenu;

let item, userMenu;

function _onAdvancedSettingsActivate() {
    Main.overview.hide();
    let app = Shell.AppSystem.get_default().lookup_app('gnome-tweak-tool.desktop');
    app.activate();
}

function init() {
    // FIXME - who get userMenu without array & indexes, by name, by type?
    userMenu = Main.panel._menus._menus[9].menu;
}

function enable() {
    item = new PopupMenu.PopupMenuItem(_("Advanced Settings"));
    userMenu.addMenuItem(item, 5);
    item.connect('activate', Lang.bind(item, _onAdvancedSettingsActivate));
}

function disable() {
    let items = userMenu._getMenuItems();
    item = items[5];
    item.destroy();
}
